package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PacoteTarifa;

public class RenderTarifaPacote implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		PacoteTarifa pacoteTarifa = (PacoteTarifa) o;

		Listcell lc = new Listcell(pacoteTarifa.getPacotetarifaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(pacoteTarifa.getPacote().getNompacote());
		lc.setParent(lstm);

		lc = new Listcell(pacoteTarifa.getTipoTarifaPacote().getDesctipotarifa());
		lc.setParent(lstm);

		DecimalFormat fmt = new DecimalFormat("#,##00.00");

		lc = new Listcell(fmt.format(pacoteTarifa.getTarifa()) != null ? fmt.format(pacoteTarifa.getTarifa()) : "");
		lc.setParent(lstm);

		lstm.setAttribute("data", pacoteTarifa);
	}

}
